For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Documents

get_processes

GET
https://api.groundx.ai/api/v1/ingest
GET
/api/v1/ingest
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.documents.get_processes()
200Retrieved
1{
2 "processes": [
3 {
4 "processId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
5 "status": "processing",
6 "id": 1024,
7 "statusMessage": "Ingest process started and currently running"
8 },
9 {
10 "processId": "1c6b147a-8f3d-4a2a-9f3e-9b7a1d2e4f5b",
11 "status": "complete",
12 "id": 1023,
13 "statusMessage": "Ingest process completed successfully"
14 },
15 {
16 "processId": "7d9f3e2a-4b1c-4f7a-8e2d-3a9b7c1d5e6f",
17 "status": "error",
18 "id": 1022,
19 "statusMessage": "Failed due to file format not supported"
20 }
21 ]
22}
Get a list of ingest process requests, sorted from most recent to least.
Was this page helpful?
Previous

copy

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

nintegerOptional

The maximum number of returned processes. Accepts 1-100 with a default of 20.

statusenumOptional
A status filter on the processing status. If this value is set, then only processes with this status will be returned in the results.

Response

Look up success
processeslist of objects
Processes